--- ruby-1.8.4-old/configure	2006-06-07 17:48:51.000000000 -0700
+++ ruby-1.8.4/configure	2006-06-07 17:49:25.000000000 -0700
@@ -12716,69 +12716,69 @@
 
 fi
 
-echo "$as_me:$LINENO: checking whether setpgrp takes no argument" >&5
-echo $ECHO_N "checking whether setpgrp takes no argument... $ECHO_C" >&6
-if test "${ac_cv_func_setpgrp_void+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  if test "$cross_compiling" = yes; then
-  { { echo "$as_me:$LINENO: error: cannot check setpgrp when cross compiling" >&5
-echo "$as_me: error: cannot check setpgrp when cross compiling" >&2;}
-   { (exit 1); exit 1; }; }
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#if HAVE_UNISTD_H
-# include <unistd.h>
-#endif
+# echo "$as_me:$LINENO: checking whether setpgrp takes no argument" >&5
+# echo $ECHO_N "checking whether setpgrp takes no argument... $ECHO_C" >&6
+# if test "${ac_cv_func_setpgrp_void+set}" = set; then
+#   echo $ECHO_N "(cached) $ECHO_C" >&6
+# else
+#   if test "$cross_compiling" = yes; then
+#   { { echo "$as_me:$LINENO: error: cannot check setpgrp when cross compiling" >&5
+# echo "$as_me: error: cannot check setpgrp when cross compiling" >&2;}
+#    { (exit 1); exit 1; }; }
+# else
+#   cat >conftest.$ac_ext <<_ACEOF
+# /* confdefs.h.  */
+# _ACEOF
+# cat confdefs.h >>conftest.$ac_ext
+# cat >>conftest.$ac_ext <<_ACEOF
+# /* end confdefs.h.  */
+# #if HAVE_UNISTD_H
+# # include <unistd.h>
+# #endif
+
+# int
+# main ()
+# {
+# /* If this system has a BSD-style setpgrp which takes arguments,
+#   setpgrp(1, 1) will fail with ESRCH and return -1, in that case
+#   exit successfully. */
+#   exit (setpgrp (1,1) == -1 ? 0 : 1);
+#   ;
+#   return 0;
+# }
+# _ACEOF
+# rm -f conftest$ac_exeext
+# if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+#   (eval $ac_link) 2>&5
+#   ac_status=$?
+#   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+#   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+#   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+#   (eval $ac_try) 2>&5
+#   ac_status=$?
+#   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+#   (exit $ac_status); }; }; then
+#   ac_cv_func_setpgrp_void=no
+# else
+#   echo "$as_me: program exited with status $ac_status" >&5
+# echo "$as_me: failed program was:" >&5
+# sed 's/^/| /' conftest.$ac_ext >&5
+
+# ( exit $ac_status )
+# ac_cv_func_setpgrp_void=yes
+# fi
+# rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+# fi
+# fi
+# echo "$as_me:$LINENO: result: $ac_cv_func_setpgrp_void" >&5
+# echo "${ECHO_T}$ac_cv_func_setpgrp_void" >&6
+# if test $ac_cv_func_setpgrp_void = yes; then
+
+# cat >>confdefs.h <<\_ACEOF
+# #define SETPGRP_VOID 1
+# _ACEOF
 
-int
-main ()
-{
-/* If this system has a BSD-style setpgrp which takes arguments,
-  setpgrp(1, 1) will fail with ESRCH and return -1, in that case
-  exit successfully. */
-  exit (setpgrp (1,1) == -1 ? 0 : 1);
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_func_setpgrp_void=no
-else
-  echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-( exit $ac_status )
-ac_cv_func_setpgrp_void=yes
-fi
-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
-fi
-echo "$as_me:$LINENO: result: $ac_cv_func_setpgrp_void" >&5
-echo "${ECHO_T}$ac_cv_func_setpgrp_void" >&6
-if test $ac_cv_func_setpgrp_void = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define SETPGRP_VOID 1
-_ACEOF
-
-fi
+# fi
 
 
 echo "$as_me:$LINENO: checking whether byte ordering is bigendian" >&5
